Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface ClusterConfigType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ClusterConfigTypeImpl

    public interface ClusterConfigType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `cluster-configType` xsd type

Original Documentation:

The cluster-config element allows to specify cluster specific settings.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getBeanLoadBalancePolicy()` Returns the `bean-load-balance-policy` element
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getHomeLoadBalancePolicy()` Returns the `home-load-balance-policy` element
`java.lang.String` | `getLoadBalancePolicy()` Returns the `load-balance-policy` element
`java.lang.String` | `getPartitionName()` Returns the `partition-name` element
`java.lang.String` | `getSessionStateManagerJndiName()` Returns the `session-state-manager-jndi-name` element
`ClusterConfigType<T>` | `removeAllDescription()` Removes the `description` element
`ClusterConfigType<T>` | `removeBeanLoadBalancePolicy()` Removes the `bean-load-balance-policy` element
`ClusterConfigType<T>` | `removeHomeLoadBalancePolicy()` Removes the `home-load-balance-policy` element
`ClusterConfigType<T>` | `removeLoadBalancePolicy()` Removes the `load-balance-policy` element
`ClusterConfigType<T>` | `removePartitionName()` Removes the `partition-name` element
`ClusterConfigType<T>` | `removeSessionStateManagerJndiName()` Removes the `session-state-manager-jndi-name` element
`ClusterConfigType<T>` | `setBeanLoadBalancePolicy(java.lang.String beanLoadBalancePolicy)` If not already created, a new `bean-load-balance-policy` element with the given value will be created.
`ClusterConfigType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ClusterConfigType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ClusterConfigType<T>` | `setHomeLoadBalancePolicy(java.lang.String homeLoadBalancePolicy)` If not already created, a new `home-load-balance-policy` element with the given value will be created.
`ClusterConfigType<T>` | `setLoadBalancePolicy(java.lang.String loadBalancePolicy)` If not already created, a new `load-balance-policy` element with the given value will be created.
`ClusterConfigType<T>` | `setPartitionName(java.lang.String partitionName)` If not already created, a new `partition-name` element with the given value will be created.
`ClusterConfigType<T>` | `setSessionStateManagerJndiName(java.lang.String sessionStateManagerJndiName)` If not already created, a new `session-state-manager-jndi-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ClusterConfigType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ClusterConfigType`

### setDescriptionList

    ClusterConfigType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ClusterConfigType`

### removeAllDescription

    ClusterConfigType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ClusterConfigType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setPartitionName

    ClusterConfigType<T> setPartitionName(java.lang.String partitionName)

  If not already created, a new `partition-name` element with the given value will be created. Otherwise, the existing `partition-name` element will be updated with the given value.

  Returns:
    the current instance of `ClusterConfigType`

### removePartitionName

    ClusterConfigType<T> removePartitionName()

  Removes the `partition-name` element

  Returns:
    the current instance of `ClusterConfigType`

### getPartitionName

    java.lang.String getPartitionName()

  Returns the `partition-name` element

  Returns:
    the node defined for the element `partition-name`

### setHomeLoadBalancePolicy

    ClusterConfigType<T> setHomeLoadBalancePolicy(java.lang.String homeLoadBalancePolicy)

  If not already created, a new `home-load-balance-policy` element with the given value will be created. Otherwise, the existing `home-load-balance-policy` element will be updated with the given value.

  Returns:
    the current instance of `ClusterConfigType`

### removeHomeLoadBalancePolicy

    ClusterConfigType<T> removeHomeLoadBalancePolicy()

  Removes the `home-load-balance-policy` element

  Returns:
    the current instance of `ClusterConfigType`

### getHomeLoadBalancePolicy

    java.lang.String getHomeLoadBalancePolicy()

  Returns the `home-load-balance-policy` element

  Returns:
    the node defined for the element `home-load-balance-policy`

### setSessionStateManagerJndiName

    ClusterConfigType<T> setSessionStateManagerJndiName(java.lang.String sessionStateManagerJndiName)

  If not already created, a new `session-state-manager-jndi-name` element with the given value will be created. Otherwise, the existing `session-state-manager-jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `ClusterConfigType`

### removeSessionStateManagerJndiName

    ClusterConfigType<T> removeSessionStateManagerJndiName()

  Removes the `session-state-manager-jndi-name` element

  Returns:
    the current instance of `ClusterConfigType`

### getSessionStateManagerJndiName

    java.lang.String getSessionStateManagerJndiName()

  Returns the `session-state-manager-jndi-name` element

  Returns:
    the node defined for the element `session-state-manager-jndi-name`

### setBeanLoadBalancePolicy

    ClusterConfigType<T> setBeanLoadBalancePolicy(java.lang.String beanLoadBalancePolicy)

  If not already created, a new `bean-load-balance-policy` element with the given value will be created. Otherwise, the existing `bean-load-balance-policy` element will be updated with the given value.

  Returns:
    the current instance of `ClusterConfigType`

### removeBeanLoadBalancePolicy

    ClusterConfigType<T> removeBeanLoadBalancePolicy()

  Removes the `bean-load-balance-policy` element

  Returns:
    the current instance of `ClusterConfigType`

### getBeanLoadBalancePolicy

    java.lang.String getBeanLoadBalancePolicy()

  Returns the `bean-load-balance-policy` element

  Returns:
    the node defined for the element `bean-load-balance-policy`

### setLoadBalancePolicy

    ClusterConfigType<T> setLoadBalancePolicy(java.lang.String loadBalancePolicy)

  If not already created, a new `load-balance-policy` element with the given value will be created. Otherwise, the existing `load-balance-policy` element will be updated with the given value.

  Returns:
    the current instance of `ClusterConfigType`

### removeLoadBalancePolicy

    ClusterConfigType<T> removeLoadBalancePolicy()

  Removes the `load-balance-policy` element

  Returns:
    the current instance of `ClusterConfigType`

### getLoadBalancePolicy

    java.lang.String getLoadBalancePolicy()

  Returns the `load-balance-policy` element

  Returns:
    the node defined for the element `load-balance-policy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD